/*
Copyright 2019 Dr. Thomas Benjamin Senior, Michael Zoeller 

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

using UnityEngine;
using PowerUI;

namespace EyeSkills
{
    public class UsernameUI : MonoBehaviour
    {
        public string[] assetOptions;
        public string[] lockExperienceOptions;

        void Start()
        {
            UI.document.getElementById("practitioner").setAttribute("value", PlayerPrefs.GetString("EyeSkills.Practitioner"));
            UI.document.getElementById("name").setAttribute("value", PlayerPrefs.GetString("EyeSkills.Name"));
            UI.document.getElementById("remoteServerUrl").setAttribute("value", PlayerPrefs.GetString("EyeSkills.remoteServerUrl", "ws://remote.eyeskills.org:34567/"));
            if (PlayerPrefs.HasKey("EyeSkills.practitionerMode")){
                UI.document.getElementById("practitionerMode").setAttribute("value", PlayerPrefs.GetString("EyeSkills.practitionerMode"));
                UI.document.getElementById("practitionerMode").setAttribute("checked", PlayerPrefs.GetString("EyeSkills.practitionerMode"));
            } 
            string s = "";
            if (assetOptions != null)
                foreach (string name in assetOptions) {
                    var selected = PlayerPrefs.GetString("EyeSkills.assetStyle", "default") == name ? " selected" : "";
                    s += "<option value=\"" + name + "\"" + selected + ">" + name + "</option>";
                }
            UI.Variables["assetstyle"] = s;

            s = "<option value=\"-\">-</option>";
            if (lockExperienceOptions != null)
                foreach (string name in lockExperienceOptions) {
                    var selected = PlayerPrefs.GetString("EyeSkills.lockExperience") == name ? " selected" : "";
                    s += "<option value=\"" + name + "\"" + selected + ">" + name + "</option>";
                }
            UI.Variables["experienceoptions"] = s;
        }
    }
}
