/*
Copyright 2019 Dr. Thomas Benjamin Senior, Michael Zoeller 

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace EyeSkills
{
    public class InstantPreviewPatcher : MonoBehaviour
    {
        void Start()
        {
            StartCoroutine(_go());
        }

        IEnumerator _go()
        {
            while (true)
            {
                yield return new WaitForSeconds(1f);

                // disable unnecessary GVR instant preview cameras for left respkt right cameras
                GameObject lr = GameObject.Find("Main Camera Left:Instant Preview Right");
                GameObject rl = GameObject.Find("Main Camera Right:Instant Preview Left");

                if (lr)
                    lr.SetActive(false);

                if (rl)
                    rl.SetActive(false);
            }
        }
    }
}